<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tp_flights', function (Blueprint $table) {
            $table->id();
            $table->uuid("catalogIdentifier");
            $table->string('flightId',10);
            $table->string('source',5);
            $table->string('carrier',10);
            $table->string('equipment',10);
            $table->string('number',10);
            $table->string('duration',10);
            $table->string('distance',10);
            $table->string('stops',2);
            $table->json('arrival');
            $table->json('departure');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tp_flights');
    }
};
